<template>
  <div
    class="switch"
    :class="{switch_loading: loading}">
    <div
      @click="change(false)"
      class="switch-label"
      :style="!checked && !loading && activeColor ? ('color: '+ activeColor) : ''"
      :class="!checked ? 'active' : ''">{{activeText}}
    </div>
    <label class="switch_body">
      <input
        type="checkbox"
        :disabled="disabled"
        :checked.sync="checked"
        @change="(e)=>change(e.target.checked)">
      <span
        class="switch-slider switch-slider-back1 round"
        :style="{backgroundColor: background}">
        <span class="switch-slider-inner switch-slider-back2"></span>
      </span>
    </label>
    <div
      @click="change(true)"
      class="switch-label"
      :class="checked ? 'active' : ''">{{inactiveText}}
    </div>
  </div>
</template>

<script>
  export default {
    name: "Sswitch",
    props: {
      disabled: Boolean,
      background: {
        type: String,
        default: '#13273d'
      },
      activeColor: {
        type: String,
        default: ''
      },
      activeText: {
        type: String,
        default: 'Active'
      },
      inactiveText: {
        type: String,
        default: 'Inactive'
      },
      checked: {
        type: Boolean,
        default: false
      },
      loading: {
        type: Boolean,
        default: false
      }
    },
    computed: {},
    methods: {
      change(val) {
        this.$emit('change', val);
      }
    }
  }
</script>
